com.microfocus.awm.meta.impl

## Class ActionDescriptorImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - com.microfocus.awm.meta.impl.AWMObjectImpl
        - - com.microfocus.awm.meta.impl.AWMIdentifiableObjectImpl
          - - com.microfocus.awm.meta.impl.ActionDescriptorImpl

- All Implemented Interfaces:
    ActionDescriptor, AWMIdentifiableObject, AWMObject, IFunctionPackageDefinable, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

      public class ActionDescriptorImpl
      extends AWMIdentifiableObjectImpl
      implements ActionDescriptor

  The following features are implemented:

  - `Has Tool`
  - `Execution Mode`
  - `Has Elementlist`
  - `Icon`
  - `Key Binding Context`
  - `Key Sequence`
  - `Label`
  - `Link Element List`
  - `Mass Processing`
  - `Refresh List`
  - `Related Close Action`
  - `Related Save Action`
  - `Table View ID`
  - `Table View Label`
  - `Show Progress Monitor`
  - `Custom Error Message`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

      `ELAST_EOBJECT_FLAG`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ElementListStructure` | `basicGetHasElementlist()`
    `Icon` | `basicGetIcon()`
    `ActionDescriptor` | `basicGetRelatedCloseAction()`
    `ActionDescriptor` | `basicGetRelatedSaveAction()`
    `ActionDescriptor` | `clone()` Clones this action descriptor.
    `java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
    `org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
    `boolean` | `eIsSet(int featureID)`
    `void` | `eSet(int featureID, java.lang.Object newValue)`
    `void` | `eUnset(int featureID)`
    `java.lang.String` | `getCustomErrorMessage()`
    `EActionExecutionMode` | `getExecutionMode()`
    `ElementListStructure` | `getHasElementlist()`
    `org.eclipse.emf.common.util.EList<RActionTool>` | `getHasTool()`
    `Icon` | `getIcon()`
    `java.lang.String` | `getKeyBindingContext()`
    `java.lang.String` | `getKeySequence()`
    `java.lang.String` | `getLabel()`
    `java.lang.String` | `getLabelFromHierarchy()` Returns the Label or the ID if the Label wasn't set.
    `ActionDescriptor` | `getRelatedCloseAction()`
    `ActionDescriptor` | `getRelatedSaveAction()`
    `java.lang.String` | `getTableViewID()`
    `java.lang.String` | `getTableViewLabel()`
    `boolean` | `isLinkElementList()`
    `boolean` | `isMassProcessing()`
    `boolean` | `isRefreshList()`
    `boolean` | `isSetExecutionMode()`
    `boolean` | `isSetHasElementlist()`
    `boolean` | `isSetLabel()`
    `boolean` | `isSetLinkElementList()`
    `boolean` | `isSetMassProcessing()`
    `boolean` | `isSetRefreshList()`
    `boolean` | `isSetShowProgressMonitor()`
    `boolean` | `isShowProgressMonitor()`
    `void` | `setCustomErrorMessage(java.lang.String newCustomErrorMessage)`
    `void` | `setExecutionMode(EActionExecutionMode newExecutionMode)`
    `void` | `setHasElementlist(ElementListStructure newHasElementlist)`
    `void` | `setIcon(Icon newIcon)`
    `void` | `setKeyBindingContext(java.lang.String newKeyBindingContext)`
    `void` | `setKeySequence(java.lang.String newKeySequence)`
    `void` | `setLabel(java.lang.String newLabel)`
    `void` | `setLinkElementList(boolean newLinkElementList)`
    `void` | `setMassProcessing(boolean newMassProcessing)`
    `void` | `setRefreshList(boolean newRefreshList)`
    `void` | `setRelatedCloseAction(ActionDescriptor newRelatedCloseAction)`
    `void` | `setRelatedSaveAction(ActionDescriptor newRelatedSaveAction)`
    `void` | `setShowProgressMonitor(boolean newShowProgressMonitor)`
    `void` | `setTableViewID(java.lang.String newTableViewID)`
    `void` | `setTableViewLabel(java.lang.String newTableViewLabel)`
    `java.lang.String` | `toString()`
    `void` | `unsetExecutionMode()`
    `void` | `unsetHasElementlist()`
    `void` | `unsetLabel()`
    `void` | `unsetLinkElementList()`
    `void` | `unsetMassProcessing()`
    `void` | `unsetRefreshList()`
    `void` | `unsetShowProgressMonitor()`

    - ### Methods inherited from class com.microfocus.awm.meta.impl.AWMIdentifiableObjectImpl

      `eBaseStructuralFeatureID, eDerivedStructuralFeatureID, getExtensionID, getID, getModelEditorGroup, isSetModelEditorGroup, setExtensionID, setID, setModelEditorGroup, unsetModelEditorGroup`

    - ### Methods inherited from class com.microfocus.awm.meta.impl.AWMObjectImpl

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

      `eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAllContents, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMIdentifiableObject

      `getID, getModelEditorGroup, isSetModelEditorGroup, setID, setModelEditorGroup, unsetModelEditorGroup`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.IFunctionPackageDefinable

      `getExtensionID, setExtensionID`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Method Detail

    - #### getHasTool

          public org.eclipse.emf.common.util.EList<RActionTool> getHasTool()

      Specified by:
        `getHasTool` in interface `ActionDescriptor`
      Returns:
        the value of the 'Has Tool' containment reference list.
      See Also:
        `TaurusPackage.getActionDescriptor_HasTool()`

    - #### getExecutionMode

          public EActionExecutionMode getExecutionMode()

      Specified by:
        `getExecutionMode` in interface `ActionDescriptor`
      Returns:
        the value of the 'Execution Mode' attribute.
      See Also:
        `EActionExecutionMode`, `ActionDescriptor.isSetExecutionMode()`, `ActionDescriptor.unsetExecutionMode()`, `ActionDescriptor.setExecutionMode(EActionExecutionMode)`, `TaurusPackage.getActionDescriptor_ExecutionMode()`

    - #### setExecutionMode

          public void setExecutionMode(EActionExecutionMode newExecutionMode)

      Specified by:
        `setExecutionMode` in interface `ActionDescriptor`
      Parameters:
        `newExecutionMode` - the new value of the 'Execution Mode' attribute.
      See Also:
        `EActionExecutionMode`, `ActionDescriptor.isSetExecutionMode()`, `ActionDescriptor.unsetExecutionMode()`, `ActionDescriptor.getExecutionMode()`

    - #### unsetExecutionMode

          public void unsetExecutionMode()

      Specified by:
        `unsetExecutionMode` in interface `ActionDescriptor`
      See Also:
        `ActionDescriptor.isSetExecutionMode()`, `ActionDescriptor.getExecutionMode()`, `ActionDescriptor.setExecutionMode(EActionExecutionMode)`

    - #### isSetExecutionMode

          public boolean isSetExecutionMode()

      Specified by:
        `isSetExecutionMode` in interface `ActionDescriptor`
      Returns:
        whether the value of the 'Execution Mode' attribute is set.
      See Also:
        `ActionDescriptor.unsetExecutionMode()`, `ActionDescriptor.getExecutionMode()`, `ActionDescriptor.setExecutionMode(EActionExecutionMode)`

    - #### getHasElementlist

          public ElementListStructure getHasElementlist()

      Specified by:
        `getHasElementlist` in interface `ActionDescriptor`
      Returns:
        the value of the 'Has Elementlist' reference.
      See Also:
        `ActionDescriptor.isSetHasElementlist()`, `ActionDescriptor.unsetHasElementlist()`, `ActionDescriptor.setHasElementlist(ElementListStructure)`, `TaurusPackage.getActionDescriptor_HasElementlist()`

    - #### basicGetHasElementlist

          public ElementListStructure basicGetHasElementlist()

    - #### setHasElementlist

          public void setHasElementlist(ElementListStructure newHasElementlist)

      Specified by:
        `setHasElementlist` in interface `ActionDescriptor`
      Parameters:
        `newHasElementlist` - the new value of the 'Has Elementlist' reference.
      See Also:
        `ActionDescriptor.isSetHasElementlist()`, `ActionDescriptor.unsetHasElementlist()`, `ActionDescriptor.getHasElementlist()`

    - #### unsetHasElementlist

          public void unsetHasElementlist()

      Specified by:
        `unsetHasElementlist` in interface `ActionDescriptor`
      See Also:
        `ActionDescriptor.isSetHasElementlist()`, `ActionDescriptor.getHasElementlist()`, `ActionDescriptor.setHasElementlist(ElementListStructure)`

    - #### isSetHasElementlist

          public boolean isSetHasElementlist()

      Specified by:
        `isSetHasElementlist` in interface `ActionDescriptor`
      Returns:
        whether the value of the 'Has Elementlist' reference is set.
      See Also:
        `ActionDescriptor.unsetHasElementlist()`, `ActionDescriptor.getHasElementlist()`, `ActionDescriptor.setHasElementlist(ElementListStructure)`

    - #### getIcon

          public Icon getIcon()

      Specified by:
        `getIcon` in interface `ActionDescriptor`
      Returns:
        the value of the 'Icon' reference.
      See Also:
        `ActionDescriptor.setIcon(Icon)`, `TaurusPackage.getActionDescriptor_Icon()`

    - #### basicGetIcon

          public Icon basicGetIcon()

    - #### setIcon

          public void setIcon(Icon newIcon)

      Specified by:
        `setIcon` in interface `ActionDescriptor`
      Parameters:
        `newIcon` - the new value of the 'Icon' reference.
      See Also:
        `ActionDescriptor.getIcon()`

    - #### getKeyBindingContext

          public java.lang.String getKeyBindingContext()

      Specified by:
        `getKeyBindingContext` in interface `ActionDescriptor`
      Returns:
        the value of the 'Key Binding Context' attribute.
      See Also:
        `ActionDescriptor.setKeyBindingContext(String)`, `TaurusPackage.getActionDescriptor_KeyBindingContext()`

    - #### setKeyBindingContext

          public void setKeyBindingContext(java.lang.String newKeyBindingContext)

      Specified by:
        `setKeyBindingContext` in interface `ActionDescriptor`
      Parameters:
        `newKeyBindingContext` - the new value of the 'Key Binding Context' attribute.
      See Also:
        `ActionDescriptor.getKeyBindingContext()`

    - #### getKeySequence

          public java.lang.String getKeySequence()

      Specified by:
        `getKeySequence` in interface `ActionDescriptor`
      Returns:
        the value of the 'Key Sequence' attribute.
      See Also:
        `ActionDescriptor.setKeySequence(String)`, `TaurusPackage.getActionDescriptor_KeySequence()`

    - #### setKeySequence

          public void setKeySequence(java.lang.String newKeySequence)

      Specified by:
        `setKeySequence` in interface `ActionDescriptor`
      Parameters:
        `newKeySequence` - the new value of the 'Key Sequence' attribute.
      See Also:
        `ActionDescriptor.getKeySequence()`

    - #### getLabel

          public java.lang.String getLabel()

      Specified by:
        `getLabel` in interface `ActionDescriptor`
      Returns:
        the value of the 'Label' attribute.
      See Also:
        `ActionDescriptor.isSetLabel()`, `ActionDescriptor.unsetLabel()`, `ActionDescriptor.setLabel(String)`, `TaurusPackage.getActionDescriptor_Label()`

    - #### setLabel

          public void setLabel(java.lang.String newLabel)

      Specified by:
        `setLabel` in interface `ActionDescriptor`
      Parameters:
        `newLabel` - the new value of the 'Label' attribute.
      See Also:
        `ActionDescriptor.isSetLabel()`, `ActionDescriptor.unsetLabel()`, `ActionDescriptor.getLabel()`

    - #### unsetLabel

          public void unsetLabel()

      Specified by:
        `unsetLabel` in interface `ActionDescriptor`
      See Also:
        `ActionDescriptor.isSetLabel()`, `ActionDescriptor.getLabel()`, `ActionDescriptor.setLabel(String)`

    - #### isSetLabel

          public boolean isSetLabel()

      Specified by:
        `isSetLabel` in interface `ActionDescriptor`
      Returns:
        whether the value of the 'Label' attribute is set.
      See Also:
        `ActionDescriptor.unsetLabel()`, `ActionDescriptor.getLabel()`, `ActionDescriptor.setLabel(String)`

    - #### isLinkElementList

          public boolean isLinkElementList()

      Specified by:
        `isLinkElementList` in interface `ActionDescriptor`
      Returns:
        the value of the 'Link Element List' attribute.
      See Also:
        `ActionDescriptor.isSetLinkElementList()`, `ActionDescriptor.unsetLinkElementList()`, `ActionDescriptor.setLinkElementList(boolean)`, `TaurusPackage.getActionDescriptor_LinkElementList()`

    - #### setLinkElementList

          public void setLinkElementList(boolean newLinkElementList)

      Specified by:
        `setLinkElementList` in interface `ActionDescriptor`
      Parameters:
        `newLinkElementList` - the new value of the 'Link Element List' attribute.
      See Also:
        `ActionDescriptor.isSetLinkElementList()`, `ActionDescriptor.unsetLinkElementList()`, `ActionDescriptor.isLinkElementList()`

    - #### unsetLinkElementList

          public void unsetLinkElementList()

      Specified by:
        `unsetLinkElementList` in interface `ActionDescriptor`
      See Also:
        `ActionDescriptor.isSetLinkElementList()`, `ActionDescriptor.isLinkElementList()`, `ActionDescriptor.setLinkElementList(boolean)`

    - #### isSetLinkElementList

          public boolean isSetLinkElementList()

      Specified by:
        `isSetLinkElementList` in interface `ActionDescriptor`
      Returns:
        whether the value of the 'Link Element List' attribute is set.
      See Also:
        `ActionDescriptor.unsetLinkElementList()`, `ActionDescriptor.isLinkElementList()`, `ActionDescriptor.setLinkElementList(boolean)`

    - #### isMassProcessing

          public boolean isMassProcessing()

      Specified by:
        `isMassProcessing` in interface `ActionDescriptor`
      Returns:
        the value of the 'Mass Processing' attribute.
      See Also:
        `ActionDescriptor.isSetMassProcessing()`, `ActionDescriptor.unsetMassProcessing()`, `ActionDescriptor.setMassProcessing(boolean)`, `TaurusPackage.getActionDescriptor_MassProcessing()`

    - #### setMassProcessing

          public void setMassProcessing(boolean newMassProcessing)

      Specified by:
        `setMassProcessing` in interface `ActionDescriptor`
      Parameters:
        `newMassProcessing` - the new value of the 'Mass Processing' attribute.
      See Also:
        `ActionDescriptor.isSetMassProcessing()`, `ActionDescriptor.unsetMassProcessing()`, `ActionDescriptor.isMassProcessing()`

    - #### unsetMassProcessing

          public void unsetMassProcessing()

      Specified by:
        `unsetMassProcessing` in interface `ActionDescriptor`
      See Also:
        `ActionDescriptor.isSetMassProcessing()`, `ActionDescriptor.isMassProcessing()`, `ActionDescriptor.setMassProcessing(boolean)`

    - #### isSetMassProcessing

          public boolean isSetMassProcessing()

      Specified by:
        `isSetMassProcessing` in interface `ActionDescriptor`
      Returns:
        whether the value of the 'Mass Processing' attribute is set.
      See Also:
        `ActionDescriptor.unsetMassProcessing()`, `ActionDescriptor.isMassProcessing()`, `ActionDescriptor.setMassProcessing(boolean)`

    - #### isRefreshList

          public boolean isRefreshList()

      Specified by:
        `isRefreshList` in interface `ActionDescriptor`
      Returns:
        the value of the 'Refresh List' attribute.
      See Also:
        `ActionDescriptor.isSetRefreshList()`, `ActionDescriptor.unsetRefreshList()`, `ActionDescriptor.setRefreshList(boolean)`, `TaurusPackage.getActionDescriptor_RefreshList()`

    - #### setRefreshList

          public void setRefreshList(boolean newRefreshList)

      Specified by:
        `setRefreshList` in interface `ActionDescriptor`
      Parameters:
        `newRefreshList` - the new value of the 'Refresh List' attribute.
      See Also:
        `ActionDescriptor.isSetRefreshList()`, `ActionDescriptor.unsetRefreshList()`, `ActionDescriptor.isRefreshList()`

    - #### unsetRefreshList

          public void unsetRefreshList()

      Specified by:
        `unsetRefreshList` in interface `ActionDescriptor`
      See Also:
        `ActionDescriptor.isSetRefreshList()`, `ActionDescriptor.isRefreshList()`, `ActionDescriptor.setRefreshList(boolean)`

    - #### isSetRefreshList

          public boolean isSetRefreshList()

      Specified by:
        `isSetRefreshList` in interface `ActionDescriptor`
      Returns:
        whether the value of the 'Refresh List' attribute is set.
      See Also:
        `ActionDescriptor.unsetRefreshList()`, `ActionDescriptor.isRefreshList()`, `ActionDescriptor.setRefreshList(boolean)`

    - #### getRelatedCloseAction

          public ActionDescriptor getRelatedCloseAction()

      Specified by:
        `getRelatedCloseAction` in interface `ActionDescriptor`
      Returns:
        the value of the 'Related Close Action' reference.
      See Also:
        `ActionDescriptor.setRelatedCloseAction(ActionDescriptor)`, `TaurusPackage.getActionDescriptor_RelatedCloseAction()`

    - #### basicGetRelatedCloseAction

          public ActionDescriptor basicGetRelatedCloseAction()

    - #### setRelatedCloseAction

          public void setRelatedCloseAction(ActionDescriptor newRelatedCloseAction)

      Specified by:
        `setRelatedCloseAction` in interface `ActionDescriptor`
      Parameters:
        `newRelatedCloseAction` - the new value of the 'Related Close Action' reference.
      See Also:
        `ActionDescriptor.getRelatedCloseAction()`

    - #### getRelatedSaveAction

          public ActionDescriptor getRelatedSaveAction()

      Specified by:
        `getRelatedSaveAction` in interface `ActionDescriptor`
      Returns:
        the value of the 'Related Save Action' reference.
      See Also:
        `ActionDescriptor.setRelatedSaveAction(ActionDescriptor)`, `TaurusPackage.getActionDescriptor_RelatedSaveAction()`

    - #### basicGetRelatedSaveAction

          public ActionDescriptor basicGetRelatedSaveAction()

    - #### setRelatedSaveAction

          public void setRelatedSaveAction(ActionDescriptor newRelatedSaveAction)

      Specified by:
        `setRelatedSaveAction` in interface `ActionDescriptor`
      Parameters:
        `newRelatedSaveAction` - the new value of the 'Related Save Action' reference.
      See Also:
        `ActionDescriptor.getRelatedSaveAction()`

    - #### getTableViewID

          public java.lang.String getTableViewID()

      Specified by:
        `getTableViewID` in interface `ActionDescriptor`
      Returns:
        the value of the 'Table View ID' attribute.
      See Also:
        `ActionDescriptor.setTableViewID(String)`, `TaurusPackage.getActionDescriptor_TableViewID()`

    - #### setTableViewID

          public void setTableViewID(java.lang.String newTableViewID)

      Specified by:
        `setTableViewID` in interface `ActionDescriptor`
      Parameters:
        `newTableViewID` - the new value of the 'Table View ID' attribute.
      See Also:
        `ActionDescriptor.getTableViewID()`

    - #### getTableViewLabel

          public java.lang.String getTableViewLabel()

      Specified by:
        `getTableViewLabel` in interface `ActionDescriptor`
      Returns:
        the value of the 'Table View Label' attribute.
      See Also:
        `ActionDescriptor.setTableViewLabel(String)`, `TaurusPackage.getActionDescriptor_TableViewLabel()`

    - #### setTableViewLabel

          public void setTableViewLabel(java.lang.String newTableViewLabel)

      Specified by:
        `setTableViewLabel` in interface `ActionDescriptor`
      Parameters:
        `newTableViewLabel` - the new value of the 'Table View Label' attribute.
      See Also:
        `ActionDescriptor.getTableViewLabel()`

    - #### isShowProgressMonitor

          public boolean isShowProgressMonitor()

      Specified by:
        `isShowProgressMonitor` in interface `ActionDescriptor`
      Returns:
        the value of the 'Show Progress Monitor' attribute.
      See Also:
        `ActionDescriptor.isSetShowProgressMonitor()`, `ActionDescriptor.unsetShowProgressMonitor()`, `ActionDescriptor.setShowProgressMonitor(boolean)`, `TaurusPackage.getActionDescriptor_ShowProgressMonitor()`

    - #### setShowProgressMonitor

          public void setShowProgressMonitor(boolean newShowProgressMonitor)

      Specified by:
        `setShowProgressMonitor` in interface `ActionDescriptor`
      Parameters:
        `newShowProgressMonitor` - the new value of the 'Show Progress Monitor' attribute.
      See Also:
        `ActionDescriptor.isSetShowProgressMonitor()`, `ActionDescriptor.unsetShowProgressMonitor()`, `ActionDescriptor.isShowProgressMonitor()`

    - #### unsetShowProgressMonitor

          public void unsetShowProgressMonitor()

      Specified by:
        `unsetShowProgressMonitor` in interface `ActionDescriptor`
      See Also:
        `ActionDescriptor.isSetShowProgressMonitor()`, `ActionDescriptor.isShowProgressMonitor()`, `ActionDescriptor.setShowProgressMonitor(boolean)`

    - #### isSetShowProgressMonitor

          public boolean isSetShowProgressMonitor()

      Specified by:
        `isSetShowProgressMonitor` in interface `ActionDescriptor`
      Returns:
        whether the value of the 'Show Progress Monitor' attribute is set.
      See Also:
        `ActionDescriptor.unsetShowProgressMonitor()`, `ActionDescriptor.isShowProgressMonitor()`, `ActionDescriptor.setShowProgressMonitor(boolean)`

    - #### getCustomErrorMessage

          public java.lang.String getCustomErrorMessage()

      Specified by:
        `getCustomErrorMessage` in interface `ActionDescriptor`
      Returns:
        the value of the 'Custom Error Message' attribute.
      See Also:
        `ActionDescriptor.setCustomErrorMessage(String)`, `TaurusPackage.getActionDescriptor_CustomErrorMessage()`

    - #### setCustomErrorMessage

          public void setCustomErrorMessage(java.lang.String newCustomErrorMessage)

      Specified by:
        `setCustomErrorMessage` in interface `ActionDescriptor`
      Parameters:
        `newCustomErrorMessage` - the new value of the 'Custom Error Message' attribute.
      See Also:
        `ActionDescriptor.getCustomErrorMessage()`

    - #### eInverseRemove

          public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                                int featureID,
                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

      Overrides:
        `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

    - #### eGet

          public java.lang.Object eGet(int featureID,
                                       boolean resolve,
                                       boolean coreType)

      Specified by:
        `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eGet` in class `AWMIdentifiableObjectImpl`

    - #### eSet

          public void eSet(int featureID,
                           java.lang.Object newValue)

      Specified by:
        `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eSet` in class `AWMIdentifiableObjectImpl`

    - #### eUnset

          public void eUnset(int featureID)

      Specified by:
        `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eUnset` in class `AWMIdentifiableObjectImpl`

    - #### eIsSet

          public boolean eIsSet(int featureID)

      Specified by:
        `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eIsSet` in class `AWMIdentifiableObjectImpl`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AWMIdentifiableObjectImpl`

    - #### getLabelFromHierarchy

          public java.lang.String getLabelFromHierarchy()

      Description copied from interface: `ActionDescriptor`
      Returns the Label or the ID if the Label wasn't set.
      Specified by:
        `getLabelFromHierarchy` in interface `ActionDescriptor`
      Returns:
        the label.

    - #### clone

          public ActionDescriptor clone()

      Description copied from interface: `ActionDescriptor`
      Clones this action descriptor.
      Specified by:
        `clone` in interface `ActionDescriptor`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        a new cloned instance of the action descriptor.
      See Also:
        `Cloneable`

Copyright © 2015 Micro Focus GmbH. All rights reserved.